<?php
/*
	SHORTCODES
*/

/*
	COLUMNS
*/

/* One fourth */
function ll_one_fourth($atts, $content = null) {
	
	$output = '<div class="one-fourth">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('one_fourth', 'll_one_fourth');

function ll_one_fourth_last($atts, $content = null) {
	
	$output = '<div class="one-fourth last">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('one_fourth_last', 'll_one_fourth_last');

/* One third */
function ll_one_third($atts, $content = null) {
	
	$output = '<div class="one-third">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('one_third', 'll_one_third');

function ll_one_third_last($atts, $content = null) {
	
	$output = '<div class="one-third last">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('one_third_last', 'll_one_third_last');

/* Two third */
function ll_two_third($atts, $content = null) {
	
	$output = '<div class="two-third">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('two_third', 'll_two_third');

function ll_two_third_last($atts, $content = null) {
	
	$output = '<div class="two-third last">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('two_third_last', 'll_two_third_last');

/* One half */
function ll_one_half($atts, $content = null) {
	
	$output = '<div class="half-page">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('one_half', 'll_one_half');

function ll_one_half_last($atts, $content = null) {
	
	$output = '<div class="half-page last">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('one_half_last', 'll_one_half_last');

/*
	NOTIFICATION BOXES
*/

/* Download */
function ll_download_box($atts, $content = null) {
	
	$output = '<div class="box-download">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('download', 'll_download_box');

/* Information */
function ll_information_box($atts, $content = null) {
	
	$output = '<div class="box-information">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('information', 'll_information_box');

/* Notification */
function ll_notification_box($atts, $content = null) {
	
	$output = '<div class="box-notification">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('notification', 'll_notification_box');

/* Error */
function ll_error_box($atts, $content = null) {
	
	$output = '<div class="box-error">' . remove_wpautop($content) . '</div>';
	return $output;
	
}
add_shortcode('error', 'll_error_box');


/*
	SLIDER
*/

/* Small slider */
function ll_small_slider($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'height' => 'auto',
		'raw' => 'true',
		'effect' => 'random'
	), $atts));
	
	if(strpos($content, 'class="n-ver"') !== false){
		$version = 'new';
		$preg_additional = 'src="';
	}else{
		$version = 'old';
		$preg_additional = '';
	}
	
	$content = remove_wpautop($content);
	
	$output = '<div class="carousel">
		<div class="slider-background"></div>
		<div class="slider effect-'.$effect.'">';
			
					if(preg_match_all('!'.$preg_additional.'http://.+\.(?:jpe?g|png|gif)!Ui',$content,$matches)){
						
						$min_height = 99999;
						
						if($height == 'auto'){
						
							foreach ($matches[0] as $img) {
								$img_id = get_attachment_id_by_url($img);
								$img_details = wp_get_attachment_image_src($img_id, 'full'); 
								
								
								
									if($min_height > $img_details[2]){
										$min_height = $img_details[2];
									}
								
							}
						
						}else{
							
							$min_height = $height;
							
						}
						
					}
					
					if($version == 'old'){
					
						foreach ($matches[0] as $img) {
							$img_id = get_attachment_id_by_url($img);
							$resized = vt_resize( $img_id, '', 523, $min_height, true );
							$output .= '<img src="'.$resized['url'].'" />';
						}
					
					}else{
						
						foreach ($matches[0] as $img) {
							
							$img = str_replace('src="', '', $img);
							$img_id = get_attachment_id_by_url($img);
							$resized = vt_resize( $img_id, '', 523, $min_height, true );
							$content = str_replace($img, $resized['url'], $content);
							
						}
						
						$output .= $content;
						
					}
		
	$output .= '</div>
			</div>';
	
	return $output;
	
}
add_shortcode('small_slider', 'll_small_slider');

/* Small slider content */
function ll_small_slider_content($atts, $content = null) {
	
	$output = '
	<div class="sliderRight">
		'.remove_wpautop($content).'
	</div> <!-- .sliderRight -->
	<div class="clear"></div>
	';
	return $output;
	
}
add_shortcode('small_slider_content', 'll_small_slider_content');

/* Big slider */
function ll_big_slider($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'height' => 'auto',
		'raw' => 'true',
		'effect' => 'random'
	), $atts));
	
	if(strpos($content, 'class="n-ver"') !== false){
		$version = 'new';
		$preg_additional = 'src="';
	}else{
		$version = 'old';
		$preg_additional = '';
	}
	
	$content = remove_wpautop($content);
	
	$output = '<div class="carousel full">
		<div class="slider-background"></div>
		<div class="slider effect-'.$effect.'">';
			
					if(preg_match_all('!'.$preg_additional.'http://.+\.(?:jpe?g|png|gif)!Ui',$content,$matches)){
						
						$min_height = 99999;
						
						if($height == 'auto'){
						
							foreach ($matches[0] as $img) {
								$img_id = get_attachment_id_by_url($img);
								$img_details = wp_get_attachment_image_src($img_id, 'full'); 
								
								
								
									if($min_height > $img_details[2]){
										$min_height = $img_details[2];
									}
								
							}
						
						}else{
							
							$min_height = $height;
							
						}
						
					}
					
					if($version == 'old'){
					
						foreach ($matches[0] as $img) {
							$img_id = get_attachment_id_by_url($img);
							$resized = vt_resize( $img_id, '', 944, $min_height, true );
							$output .= '<img src="'.$resized['url'].'" />';
						}
					
					}else{
						
						foreach ($matches[0] as $img) {
							
							$img = str_replace('src="', '', $img);
							$img_id = get_attachment_id_by_url($img);
							$resized = vt_resize( $img_id, '', 944, $min_height, true );
							$content = str_replace($img, $resized['url'], $content);
							
						}
						
						$output .= $content;
						
					}
		
	$output .= '</div>
			</div>';
	
	return $output;
	
}
add_shortcode('big_slider', 'll_big_slider');

/* slider in widget for layout of the options */
function ll_slide_in_widget($atts, $content = null){
	
	extract(shortcode_atts(array(
		'link' => '',
		'link_type' => 'regular',
		'caption' => ''
	), $atts));
	
	$img = $content;
	
	$img_id = get_attachment_id_by_url($img);
	$img_details = wp_get_attachment_image_src($img_id, 'full'); 
	$thumb_src = wp_get_attachment_image_src($img_id, 'size_100x100');
	$thumb_src = $thumb_src[0];
	
	$output = 	'<li>
					<img src="'.$thumb_src.'" alt="'.$img_details[0].'" />
					<span class="img-size">'.$img_details[1].'x'.$img_details[2].'</span>
					<a class="img-edit"></a>
					<a class="img-remove"></a>
					<input type="hidden" class="slide-link" value="'.$link.'" />
					<input type="hidden" class="slide-link-type" value="'.$link_type.'" />
					<input type="hidden" class="slide-caption" value="'.$caption.'" />
				</li>';
				
	return $output;
	
}
add_shortcode('slide_in_widget', 'll_slide_in_widget');

/* Slide */
function ll_slide($atts, $content = null){
	
	extract(shortcode_atts(array(
		'link' => '',
		'link_type' => 'none',
		'caption' => ''
	), $atts));
	
	$img = $content;
	
	$output = '';
	
	if($link == '' || $link_type == 'none'){
		$output = '<img class="n-ver" src="'.$img.'" title="'.$caption.'" />';
	}else{
		
		if($link_type == 'lightbox'){
			
			if(strpos($link, 'youtube') !== false){
				$link_class = 'lightbox-youtube';
			}else if(strpos($link, 'vimeo') !== false){
				$link_class = 'lightbox-vimeo';
			}else{
				$link_class = 'lightbox-image';
			}
		}else{
			$link_class = '';
		}
		
		$output = '<a href="'.$link.'" class="'.$link_class.'"><img class="n-ver" src="'.$img.'" title="'.$caption.'" /></a>';
		
	}
	
	return $output;
	
}
add_shortcode('slide', 'll_slide');

/*
	OTHER
*/

/* Highlight */
function ll_highlight($atts, $content = null) {
	
	$output = '<span class="highlight">' . remove_wpautop($content) . '</span>';
	return $output;
	
}
add_shortcode('highlight', 'll_highlight');

/* Bullets - List */
function ll_bullets($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'type' => 'arrow'
	), $atts));
	
	$output = '<ul class="bullets '.$type.'">' . remove_wpautop($content) . '</ul>';
	return $output;
	
}
add_shortcode('bullets', 'll_bullets');

/* Buttons */
function ll_button($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'color' => 'grey',
		'link' => '#',
	), $atts));
	
	$link = sc_in_sc_tag($link);
	
	$output = '<a class="btn '.$color.'" href="'.$link.'"><span>' . remove_wpautop($content) . '</span></a>';
	return $output;
	
}
add_shortcode('button', 'll_button');

/* Quotes */
function ll_quote($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'align' => 'left'
	), $atts));
	
	$ouput = '<span class="quotebox-'.$align.'">' . remove_wpautop($content) . '</span>';
	return $output;
	
}
add_shortcode('quote', 'll_quote');

/* Image align */
function ll_img($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'align' => 'left',
		'link' => '',
		'alt' => ''
	), $atts));
	
	$link = sc_in_sc_tag($link);
	
	$output = '<div class="'.$align.'"><img src="'.$link.'" alt="'.$alt.'"/></div>';
	return $output;
	
}
add_shortcode('img', 'll_img');

/* Toggle */
function ll_toggle($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'title' => 'Unnamed',
		'color' => 'grey'
	), $atts));
	
	$output = '<h6 class="toggle"><span class="indicator"></span><a class="btn '.$color.'" href="#"><span>'.$title.'</span></a></h6>
			<div class="toggle_div">
				<div class="block">'.remove_wpautop($content).'</div>
			</div>';
		
	return $output;
	
}
add_shortcode('toggle', 'll_toggle');

function ll_toggles($atts, $content = null) {
	
	return remove_wpautop($content);
	
}
add_shortcode('toggles', 'll_toggles');

/* Separator */
function ll_separator($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'line' => 'no',
	), $atts));
	
	if($line == 'no'){ $line_output = ' noline'; }else{ $line_output = ''; }
	
	$output = '<div class="hr'.$line_output.'"></div>';
	return $output;
	
}
add_shortcode('separator', 'll_separator');

/* Service */
function ll_service($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'icon' => '',
		'title' => '',
	), $atts));
	
	switch ($icon) {
		case 'globe':
			$icon_output = '';
			break;
		case 'shield':
			$icon_output = '';
			break;
		case 'stats':
			$icon_output = '';
			break;
		case 'support':
			$icon_output = '';
			break;
		case 'time':
			$icon_output = '';
			break;
		case 'gear':
			$icon_output = '';
			break;
	}
	
	$output = '<div class="services">
		<div class="img"><img src="'.get_bloginfo('template_url').'/images/icons/icon-services-'.$icon.'.png" alt="Custom" /></div>
		<div class="service-txt">
			<h6>'.$title.'</h6>
			'.remove_wpautop($content).'
		</div>
	</div>';
	return $output;
	
}
add_shortcode('service', 'll_service');

/* Latest Tweet + Link */
function ll_tweet($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'message' => 'Please wait while our tweets load',
		'profile' => 'jvanoel'
	), $atts));
	
	$output = '<div class="full-page">
		<div class="twitterfeed">
			<div class="message twitter" id="'.$profile.'"><p>'.$message.' <img src="'.get_bloginfo('template_url').'/images/general/indicator.gif" alt="twitter" /></p></div>
		  </div>
	</div>';
	return $output;
	
}
add_shortcode('tweet', 'll_tweet');

/* Featured posts */

function ll_slider_posts($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'post_type' => 'post',
		'amount' => 5,
		'tag' => '',
		'thumbnail' => 'yes',
		'title' => 'yes',
		'excerpt' => 'yes',
	), $atts));
	
	if($post_type == 'portfolio'){ $post_type = 'portfoliocustom'; }
	
	/* Display Posts */
		$q_args=array(
		   'post_type' => $post_type,
		   'showposts' => $amount,
		   'tag' => $tag,
		);
		$ll_query = new WP_Query($q_args);

		// Run your normal loop
		
		$output = '<div class="loopedSlider">	
			<div class="container">
				<ul class="slides">';
					if ($ll_query->have_posts()) : while ($ll_query->have_posts()) : $ll_query->the_post();
						
						if($thumbnail == 'yes' && has_post_thumbnail()){
							$post_thumb = '<a href="'.get_permalink($post->ID).'">'.get_the_post_thumbnail($post->ID, '294x145').'</a>';
						}else{
							$post_thumb = '';
						}
						
						if($title == 'yes'){
							$post_title = '<h6><a href="'.get_permalink($post->ID).'">'.get_the_title().'</a></h6>';
						}else{
							$post_title = '';
						}
						
						if($excerpt == 'yes'){
							$post_excerpt = '<p>'.get_the_excerpt().'</p>';
						}else{
							$post_excerpt = '';
						}
						
						$output .= '
						<li>
							'.$post_thumb.'
							'.$post_title.'
							'.$post_excerpt.'
						</li>';
					endwhile; endif;
				$output .= '
				</ul>
			</div>
			<div class="slider-nav">
				<a href="#" class="previous">previous</a>
				<a href="#" class="next">next</a>
			</div>
		</div>';
		
		// RESET THE QUERY
		wp_reset_query();
		
		return remove_wpautop($output);
	
}
add_shortcode('slider_posts', 'll_slider_posts');

/* Recent posts */
function ll_recent_posts($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'post_type' => 'post',
		'amount' => 5,
		'width' => '',
	), $atts));
		
	if($post_type == 'portfolio'){ $post_type = 'portfoliocustom'; }	
	
	/* Display Posts */
	$q_args=array(
	   'post_type' => $post_type,
	   'showposts' => $amount
	);
	$recent_posts_query = new WP_Query();
	$recent_posts_query->query($q_args);

	// Run your normal loop
	
	$output = '<div class="latest blog posts">
		<ul>';
			
			if ($recent_posts_query->have_posts()) : while ($recent_posts_query->have_posts()) : $recent_posts_query->the_post();
				
				if(has_post_thumbnail()){ $output_img = '<div class="img">'.get_the_post_thumbnail($post->ID, 'tiny').'</div>'; }else{ $output_img = ''; }
				
				$output .= '
				<li>
					'.$output_img.'
					<div class="content">
						<h6><a href="'.get_permalink($post->ID).'">'.get_the_title().'</a></h6>
						<span class="date">'.get_the_time('F j, Y', $post->ID).'</span>
					</div>
				</li>';
				
			endwhile;
			
			else :
			// do stuff for no results
			endif;
		
		$output .= '
		</ul>
	</div> <!-- end latest blog posts -->';
	
	// RESET THE QUERY
	wp_reset_query();
		
	return $output;
	
}
add_shortcode('recent_posts', 'll_recent_posts');

/* Uploads dir path */
function ll_uploads_dir($atts, $content = null) {
	
	$upload_dir = wp_upload_dir();
	
	$output = $upload_dir['baseurl'];
	return $output;
	
}
add_shortcode('uploads_dir', 'll_uploads_dir');

function ll_get_img($atts, $content = null){
	
	extract(shortcode_atts(array(
		'id' => '',
		'filename' => '',
		'title' => '',
	), $atts));
	
	if(!empty($id)){
		
		$image_array = wp_get_attachment_image_src($id, 'full');
		$image_url = $image_array[0];
		
	}elseif(!empty($filename)){
	
		$image_array = wp_get_attachment_image_src(get_attachment_id_by_filename($filename), 'full');
		$image_url = $image_array[0];
		
	}elseif(!empty($title)){
		
		$image_array = wp_get_attachment_image_src(get_attachment_id_by_title($title), 'full');
		$image_url = $image_array[0];
		
	}
	
	$output = $image_url;
	return $output;
	
}
add_shortcode('get_img', 'll_get_img');

//Get link to post/page/portfolio post
function ll_get_link($atts, $content = null){
		
	extract(shortcode_atts(array(
		'id' => '',
		'name' => '',
		'title' => '',
	), $atts));
	
	if(!empty($id)){
		
		$link = get_permalink($id);
		
	}elseif(!empty($name)){
	
		$link = get_permalink(get_post_id_by_name($name));
		
	}elseif(!empty($title)){
		
		$link = get_permalink(get_post_id_by_title($title));
		
	}
	
	$output = $link;
	return $output;
		
}
add_shortcode('get_link', 'll_get_link');

//Social
function ll_social($atts, $content = null){
	
	$image_path = get_bloginfo('template_url');
	
	include TEMPLATEPATH.'/jwpanel/jwpanel-get.php';
	
	$output = '
	<div class="social">
		<ul>';
		
			if(isset($ll_social_facebook) && $ll_social_facebook != ''){
				$output .= '<li><a href="'.$ll_social_facebook.'"><img class="ttip" src="'.$image_path.'/images/icons/social-fb.png" alt="Facebook" title="Our Facebook fan page!" /></a></li>';
			}
			
			if(isset($ll_social_twitter) && $ll_social_twitter != ''){
				$output .= '<li><a href="'.$ll_social_twitter.'"><img class="ttip" src="'.$image_path.'/images/icons/social-twitter.png" alt="Follow us onTwitter" title="Follow us on Twitter" /></a></li>';
			}
			
			if(isset($ll_social_linkedin) && $ll_social_linkedin != ''){
				$output .= '<li><a href="'.$ll_social_linkedin.'"><img class="ttip" src="'.$image_path.'/images/icons/social-linkedin.png" alt="Our Linkedin account" title="Our Linkedin account" /></a></li>';
			}
			
			if(isset($ll_social_flickr) && $ll_social_flickr != ''){
				$output .= '<li><a href="'.$ll_social_flickr.'"><img class="ttip" src="'.$image_path.'/images/icons/social-flickr.png" alt="Our Flickr images" title="Our Flickr images" /></a></li>';
			}
			
			if(isset($ll_social_vimeo) && $ll_social_vimeo != ''){
				$output .= '<li><a href="'.$ll_social_vimeo.'"><img class="ttip" src="'.$image_path.'/images/icons/social-vimeo.png" alt="Our Vimeo videos" title="Our Vimeo videos" /></a></li>';
			}
			
			if(isset($ll_social_dfloat) && $ll_social_dfloat != ''){
				$output .= '<li><a href="'.$ll_social_dfloat.'"><img class="ttip" src="'.$image_path.'/images/icons/social-designfloat.png" alt="Designfloat" title="Our DesignFloat profile" /></a></li>';
			}
			
			if(isset($ll_social_friendfeed) && $ll_social_friendfeed != ''){
				$output .= '<li><a href="'.$ll_social_friendfeed.'"><img class="ttip" src="'.$image_path.'/images/icons/social-friendfeed.png" alt="Friendfeed" title="Friendfeed" /></a></li>';
			}
			
			if(isset($ll_social_myspace) && $ll_social_myspace != ''){
				$output .= '<li><a href="'.$ll_social_myspace.'"><img class="ttip" src="'.$image_path.'/images/icons/social-myspace.png" alt="MySpace" title="MySpace" /></a></li>';
			}
			
		$output .= '
		</ul>
	</div> <!-- .social -->';
	
	return $output;
	
}
add_shortcode('social_links', 'll_social');

function ll_contact_form($atts, $content = null){
		
	$output = '<form class="cmxform" id="contactForm" method="post" action="'.get_bloginfo('template_url').'/inc/contact-send.php">
		<fieldset>
			<p>
				<input type="text" name="cname" class="required" value="'.__('Name', 'lifeline').'" id="cname" />
			</p>
			<p>
				<input type="text" name="cemail" class="required email" value="'.__('Email', 'lifeline').'" id="cemail" />
			</p>
			<p>
				<textarea cols="30" rows="10" class="required" name="ccomment" id="ccomment"></textarea>
			</p>
		</fieldset>
		<p><button class="submit" type="submit" name="sendmail">'.__('Send message', 'lifeline').'</button></p>
	</form>';
	
	return $output;
		
}
add_shortcode('contact_form', 'll_contact_form');

?>