<?php

define('WP_USE_THEMES', false);
require('../../../../wp-load.php');

include TEMPLATEPATH.'/jwpanel/jwpanel-get.php';

$p_cat_id = $_GET['cat_id'];
$last = $_GET['last'];

if($p_cat_id != '' && strpos($p_cat_id, ',') === false){ 

	$catdetails = get_term_by('id', $p_cat_id, 'portfolio_type');
	$catid = $catdetails->term_id;
	$catids = get_objects_in_term($catid, 'portfolio_type');
	
}else if($p_cat_id != '' && strpos($p_cat_id, ',') !== false){
	
	$catids = get_objects_in_term( explode( ",", $p_cat_id ), 'portfolio_type');
	
}else{
	$catids = '';
}

?><ul class="portfolio-ul"><?php
	
	$args = array(
		'post_type'			=> 'portfoliocustom',
		'showposts'			=> '-1',
		'post__in'			=> $catids
	);
	//Query the portfolio posts (custom post type named portfoliocustom).
	$ll_query = new WP_Query($args); 
	
	?>
	
	<?php $count = 0; $real_count = 0; ?>
	
	<?php if ($ll_query->have_posts()) : while ($ll_query->have_posts()) : $ll_query->the_post(); ?>
		
		<?php 
		
		$count++; $real_count++;
		if($count == $last){ $last_class = ' last'; $count = 0; }else{ $last_class = ''; }
		
		?>
		
		<?php $custom = get_post_custom($post->ID); ?>
		
		<?php if($ll_portfolio_thickbox == 'on'){ include TEMPLATEPATH.'/inc/fancybox-type.php'; }else{ $fancybox_class = 'blank'; $fancybox_type = 'blank'; } ?>
		
		<li class="<?php echo $fancybox_class.$last_class; ?>" data-id="quicksand-id-<?php echo $post->ID; ?>">
			<div>
				<a href="<?php if($fancybox_type == 'video'){ echo $video_string; }elseif($fancybox_type == 'image'){ ll_thickbox_first_image($custom['portfolio_images'][0], 'gallery_'.$post->ID); }else{ the_permalink(); }?>" rel="gallery_<?php echo $post->ID; ?>">
					<?php if(has_post_thumbnail()){ ?>
							<img src="<?php $thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), '294x145'); echo $thumb[0];?>" />
					<?php } ?>
				</a>
				<?php if($fancybox_type == 'image'){ ll_thickbox_images($custom['portfolio_images'][0], 'gallery_'.$post->ID); } ?>
			</div>
			<h6><?php the_title(); ?></h6>
			<p><?php echo ll_text_limit(get_the_excerpt(), 120) ; ?></p>
			<a href="<?php the_permalink(); ?>" class="btn grey"><span><?php _e('Read more', 'lifeline'); ?></span></a>
		</li>
	
	<?php endwhile; endif; ?>

</ul>