<?php get_header(); ?>
	
<div id="contentContainer">
	
	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
	
		<div id="blog" class="two-third">
	
			<?php if (have_posts()) : ?>

				<h2><?php _e('Search Results', 'lifeline'); ?></h2>

				<?php while (have_posts()) : the_post(); ?>

					<div class="hr"></div>
					
					<div class="item">
						
						<h2><?php the_title(); ?></h2>
						
						<?php if(has_post_thumbnail()){ the_post_thumbnail(); }  ?>
						
						<div class="content">
							<?php the_excerpt(); ?>
							<p><a href="<?php the_permalink(); ?>" class="btn grey"><span><?php _e('Read more', 'lifeline'); ?></span></a></p>
						</div>
						
						<div class="meta">
							<ul>
								<li class="user"><a href="<?php the_author_link(); ?>"><?php the_author(); ?></a></li>
								<li class="cal"><?php the_time('F j, Y'); ?></li>
								<li class="tag"><?php the_category(', '); ?></li>
								<li class="comments"><?php comments_popup_link('No comments','One comment','% comments','none'); ?> </li>
							</ul>
						</div>
						
					</div> <!-- end blog item -->
					
				<?php endwhile; ?>

				<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>

			<?php else : ?>

				<h2><?php _e('No posts found.', 'lifeline'); ?></h2>

			<?php endif; ?>
		
		</div><!-- #blog -->
	
	</div><!-- #content -->

	<?php get_sidebar(); ?>

</div><!-- #contentContainer -->

<?php get_footer(); ?>
