<?php
/*
	Template Name: Page - Right Sidebar
*/
?>

<?php get_header(); ?>

<div id="contentContainer">
	
	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
		
		<div class="two-third">
		
			<?php the_post(); ?>
			
			<?php $custom = get_post_custom($post->ID); ?>
				
			<?php if($custom['show_page_title'][0] == 'yes') { ?><h2><?php the_title(); ?></h2><?php } ?>
			
			<?php if(has_post_thumbnail()){ the_post_thumbnail(); }  ?>
		
		</div><!-- .two-third -->
		
		<div class="clear"></div>
		
		<div class="content">
			<?php the_content(); ?>
		</div>
		
		<?php
			//Widgets from "widgetize this" feature
			if(!empty($custom['page_widgetize'][0])){
				if (function_exists('dynamic_sidebar') && dynamic_sidebar($custom['page_widgetize'][0])) : else : endif;
			}
		?>
		
	</div><!-- #content -->
	
	<?php get_sidebar('page-right'); ?>

</div><!-- #contentContainer -->

<?php get_footer(); ?>