<?php

/*
	CUSTOM POST TYPES
*/

/* Portfolio */
add_action( 'init', 'create_portfolio_post_type' );
function create_portfolio_post_type() {
	register_post_type( 'portfoliocustom',
		array(
			'labels' => array(
				'name' => __( 'Portfolio', 'lifeline' ),
				'singular_name' => __( 'Portfolio Item', 'lifeline' ),
			),
			'public' => true,
			'menu_position' => 5,
			'supports' => array( 'title', 'editor', 'excerpt', 'custom-fields', 'thumbnail' ),
			'rewrite' =>  array( 'slug' => 'portfolio-view', 'with_front' => false )
		)
	);
	register_taxonomy('portfolio_type', 'portfoliocustom', array( 'label' => 'Categories', 'hierarchical' => true, 'rewrite' => array('slug' => 'portfolios' )));

}

?>