<?php include TEMPLATEPATH.'/jwpanel/jwpanel-get.php'; ?>

<?php get_header(); ?>
	
<?php $custom = get_post_custom($post->ID); ?>
	
<div id="contentContainer" <?php if($custom['portfolio_layout'][0] == 'fullwidth'){ ?>class="full-width"<?php } ?>>

	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
			
		<?php the_post(); ?>			
		
		<div class="item">
			
			<h2><?php the_title(); ?></h2>
			
			<div class="content">
				<?php the_content(); ?>
			</div>
			
		</div> <!-- .item -->
		
		<div class="hr noline"></div>
		
		<?php
			//Widgets from "widgetize this" feature
			if(!empty($custom['portfolio_post_widgetize'][0])){
				if (function_exists('dynamic_sidebar') && dynamic_sidebar($custom['portfolio_post_widgetize'][0])) : else : endif;
			}
		?>
		
		<?php if(!empty($custom['portfolio_images'][0])){ ?>
		
				
			<h3><?php _e('Some screenshots', 'lifeline'); ?></h3>
			
			<ul class="screens">
				<?php ll_thickbox_images_single($post->ID, $custom['portfolio_images'][0]); ?>
			</ul><!-- .screens -->
		
		<?php } ?>
		
		<div class="hr noline"></div>
		
	</div><!-- #content -->
	
	<?php if($custom['portfolio_layout'][0] == 'wsidebar'){ get_sidebar('portfolio'); } ?>

</div><!-- #contentContainer -->

<?php get_footer(); ?>