<?php include TEMPLATEPATH.'/jwpanel/jwpanel-get.php'; ?>

<?php get_header(); ?>
	
<div id="contentContainer">

	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
	
		<div id="blog" class="two-third">
			
			<?php the_post(); ?>
			
			<?php $custom = get_post_custom($post->ID); ?>
				
			<div class="item">
				
				<h2><?php the_title(); ?></h2>
				
				<?php if(has_post_thumbnail() && $ll_blog_thumbnails == 'on'){ 
					?><a href="<?php the_permalink(); ?>"><?php
						the_post_thumbnail(); 
					?></a><?php
				} ?>
				
				<div class="content">
					<?php the_content(); ?>
				</div>
				
				<div class="meta">
					<ul>
						<li class="user"><a href="<?php the_author_link(); ?>"><?php the_author(); ?></a></li>
						<li class="cal"><?php the_time('F j, Y'); ?></li>
						<li class="tag"><?php the_category(', '); ?></li>
						<li class="tag"><?php the_tags('', ', ', ''); ?></li>
						<li class="comments"><?php comments_popup_link('No comments','One comment','% comments','none'); ?> </li>
					</ul>
				</div><!-- .meta -->
				
			</div> <!-- .item -->
		
			<div class="hr"></div>
			
			<?php
				//Widgets from "widgetize this" feature
				if(!empty($custom['post_widgetize'][0])){
					if (function_exists('dynamic_sidebar') && dynamic_sidebar($custom['post_widgetize'][0])) : else : endif;
				}
			?>
				
			<?php if($ll_blog_about_author == 'on'){ include (TEMPLATEPATH . '/inc/about-author.php' ); } ?>
			
			<?php comments_template(); ?>
		
		</div><!-- #blog -->
		
	</div><!-- #content -->
	
	<?php get_sidebar(); ?>

</div><!-- #contentContainer -->

<?php get_footer(); ?>